<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
 th:replace="~{main-layout.html::main-fragment(~{::title},~{::#auteurs-main-content})}"
>
<head>
<meta charset="UTF-8">
<title>Gestion des auteurs</title>
</head>
<body>
    <div class="container-fluid" id="auteurs-main-content">
    <h1>Gestion des auteurs</h1>
        <a class="btn btn-primary btn-sm" th:href="@{/admin/auteurs/add}">Ajouter Auteur</a>
        <table class="table">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Prénom</th>
                    <th>Nom</th>
                    <th>Date de naissance</th>
                    <th>Date de deces</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr th:each="auteur : ${auteurs}">
                    <td th:text="${auteur.id}"></td>
                    <td th:text="${auteur.prenom}"></td>
                    <td th:text="${auteur.nom}"></td>
                    <td th:text="${#temporals.format(auteur.naissance, 'dd-MM-yyyy')}"></td>
                    <td th:text="${#temporals.format(auteur.deces, 'dd-MM-yyyy')}"></td>
                    <td>
                        <a class="btn btn-danger btn-sm">Supprimer</a>
                        <a class="btn btn-success btn-sm">Modifier</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</body>
</html>